#ifndef NEURAL_NET_H
#define NEURAL_NET_H

#include <vector>
template <class ActivationFunction> class NeuralNet {
public:
  NeuralNet(std::vector<size_t> &layer_sizes);

private:
  ActivationFunction m_activation_func;
  std::vector<size_t> m_sizes;
  std::vector<double> m_weights;
  std::vector<float> feed_forward(std::vector<float> x);
};
#endif
